.connection {
  padding: 120px 0;
  background-color: $main;
  color: $white;

  &__inenr {
    display: flex;
  }

  &__info {
    flex: 1 1 100%;
  }

  &__title {
    margin-bottom: 20px;
    font-size: 52px;
  }

  &__form {
    margin-left: 130px;
    width: 100%;
  }
}

.form {
  &__item:not(:first-child) {
    margin-top: 40px;
  } 


  &__question {
    margin-bottom: 15px;
    font-size: 22px;
  }

  &__input {
    width: 100%;
    padding: 15px 20px;
    border: 2px solid $white;
    border-radius: 10px;
    font-size: 16px;
    color: $main;
  }

  &__checkbox {
    position: absolute;
    visibility: hidden;
    opacity: 0;
    pointer-events: none;
    &:checked + .form__check-value {
      border-color: $semi;
    }
  }

  &__label {
    display: block;
    &:not(:last-child) {
      margin: 20px 0;
    }
  }

  &__check-value {
    padding: 25px 0;
    border: 2px solid $white;
    border-radius: 10px;
    text-align: center;
    font-size: 16px;
    user-select: none;
    cursor: pointer;
  }

  &__submit {
    margin-top: 20px;
    float: right;
  }
}

.dropdown {
  position: relative;
  width: 100%;
  font-size: 16px;

  &__btn {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    padding: 15px 20px;
    border-radius: 10px;
    background-color: $main;
    border: 2px solid $white;
    text-align: left;
  }

  &__body {
    position: absolute;
    right: 0;
    width: 100%;
    border-radius: 10px;
    background-color: $main;
    border: 2px solid $white;
    color: $white;
    box-shadow: rgb(27 32 50 / 10%) 0px 6px 16px;
    transform: translateY(5px);
    overflow: hidden;
    opacity: 0;
    visibility: hidden;
    z-index: 1;

    &.active {
      opacity: 1;
      visibility: visible;
    }
  }

  &__item {
    padding: 15px 20px;
    cursor: pointer;
    
    &.active {
      background-color: $semi;
    }
  }

  &__current {
    color: $white;
  }

  &__icon {
    svg {
      width: 12px;
      height: 12px;
    }

    &.active {
      transform: rotate(-180deg);
    }
  }

  &__current,
  &__icon {
    pointer-events: none;
  }

  &__input {
    display: none;
  }
}
